org.eclipse.jdt.core

## Class CompletionFlags

- java.lang.Object
- - org.eclipse.jdt.core.CompletionFlags

    public final class CompletionFlags
    extends Object

Utility class for decoding additional flags in completion proposal.

This class provides static methods only; it is not intended to be instantiated or subclassed by clients.

Since:
  3.3
See Also:
  `CompletionProposal.getAdditionalFlags()`

### Field Summary

Fields
`static int` `Default` Constant representing the absence of any flag
`static int` `StaticImport` Constant representing a static import

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isStaticImport(int flags)` Returns whether the given integer includes the `StaticImport` flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Default

    public static final int Default

Constant representing the absence of any flag

See Also:
  Constant Field Values

#### StaticImport

    public static final int StaticImport

Constant representing a static import

See Also:
  Constant Field Values

### Method Detail

#### isStaticImport

    public static boolean isStaticImport(int flags)

Returns whether the given integer includes the `StaticImport` flag.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `StaticImport` flag is included